<div class="reveal" id="loginModal" data-reveal>
  <div>
    <h2 class="section-heading"><%= t(".please_sign_in") %></h2>
    <button class="close-button" data-close aria-label="Close modal"
            type="button">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <% if current_organization.sign_up_enabled? %>
    <div class="row">
      <div class="columns medium-8 medium-centered">
        <%= decidim_form_for(Decidim::User.new, as: :user, url: session_path(:user), html: { class: "register-form new_user" }) do |f| %>
          <div>
            <div class="field">
              <%= f.email_field :email, autofocus: true %>
            </div>
            <div class="field">
              <%= f.password_field :password, autocomplete: "off" %>
            </div>
          </div>
          <div class="actions">
            <%= f.submit t("devise.sessions.new.sign_in"), class: "button expanded" %>
          </div>
        <% end %>
        <% if current_organization.sign_up_enabled? %>
          <p class="text-center">
            <%= link_to t(".sign_up"), decidim.new_user_registration_path, class: "sign-up-link" %>
          </p>
        <% end %>
        <p class="text-center">
          <%= link_to t("devise.shared.links.forgot_your_password"), new_password_path(:user) %>
        </p>
      </div>
    </div>
    <% cache [current_organization, current_locale] do %>
      <%= render "decidim/devise/shared/omniauth_buttons_mini" %>
    <% end %>
  <% elsif current_organization.sign_in_enabled? %>
    <% cache [current_organization, current_locale] do %>
      <%= render partial: "decidim/devise/shared/omniauth_buttons", locals: { column_classes: "columns medium-8 small-12 medium-centered" } %>
    <% end %>
  <% else %>
    <div class="row">
      <div class="columns medium-8 medium-centered">
        <p>
          <%= t("sign_in_disabled", scope: "decidim.devise.sessions.new") %>
        </p>
      </div>
    </div>
    <% cache [current_organization, current_locale] do %>
      <%= render "decidim/devise/shared/omniauth_buttons" %>
    <% end %>
  <% end %>
</div>
